Index: branches/MESI/modules/vci_mem_cache/caba/source/src/vci_mem_cache.cpp
===================================================================
--- branches/MESI/modules/vci_mem_cache/caba/source/src/vci_mem_cache.cpp	(revision 719)
+++ branches/MESI/modules/vci_mem_cache/caba/source/src/vci_mem_cache.cpp	(revision 785)
@@ -10462,5 +10129,5 @@
 //                                r_debug_data);
 //#if DEBUG_MEMC_MULTI_ACK
-//                    if(m_debug)
+//                    if (m_debug)
 //                        std::cout << "  <MEMC " << name() << " DEBUG DATA>"
 //                            << " / data0  = "  << r_debug_data[0].read()
@@ -10522,5 +10189,5 @@
         p_vci_ixr.cfixed  = false;
 
-        if ( (r_ixr_cmd_fsm.read() == IXR_CMD_READ_SEND) or
+        if ((r_ixr_cmd_fsm.read() == IXR_CMD_READ_SEND) or
                 (r_ixr_cmd_fsm.read() == IXR_CMD_WRITE_SEND) or
                 (r_ixr_cmd_fsm.read() == IXR_CMD_CAS_SEND) or
@@ -10530,5 +10197,5 @@
             p_vci_ixr.cmdval    = true;
 
-            if ( r_ixr_cmd_get.read() )  // GET
+            if (r_ixr_cmd_get.read() )  // GET
             {
                 p_vci_ixr.cmd     = vci_param_ext::CMD_READ;
@@ -10567,5 +10234,5 @@
         ////////////////////////////////////////////////////
 
-        if( (r_ixr_rsp_fsm.read() == IXR_RSP_TRT_READ) or
+        if ((r_ixr_rsp_fsm.read() == IXR_RSP_TRT_READ) or
                 (r_ixr_rsp_fsm.read() == IXR_RSP_TRT_ERASE) )
         { 
@@ -10667,5 +10334,5 @@
                     p_vci_tgt.rspval  = true;
 
-                    if ( is_ll and not r_tgt_rsp_key_sent.read() )
+                    if (is_ll and not r_tgt_rsp_key_sent.read() )
                     {
                         // LL response first flit
@@ -10689,5 +10356,5 @@
                 {
                     p_vci_tgt.rspval   = true;
-                    if(((r_write_to_tgt_rsp_pktid.read() & 0x7) == TYPE_SC) and r_write_to_tgt_rsp_sc_fail.read())
+                    if (((r_write_to_tgt_rsp_pktid.read() & 0x7) == TYPE_SC) and r_write_to_tgt_rsp_sc_fail.read())
                         p_vci_tgt.rdata  = 1;
                     else
@@ -10711,5 +10378,5 @@
                         p_vci_tgt.rdata   = r_cleanup_to_tgt_rsp_ll_key.read();
                     }
-                    else if ( not r_cleanup_to_tgt_rsp_type.read())
+                    else if (not r_cleanup_to_tgt_rsp_type.read())
                     {
                         p_vci_tgt.rdata    = r_cleanup_to_tgt_rsp_data[r_tgt_rsp_cpt.read()].read();
@@ -10748,5 +10415,5 @@
                     p_vci_tgt.rspval  = true;
 
-                    if( is_ll and not r_tgt_rsp_key_sent.read() ) 
+                    if (is_ll and not r_tgt_rsp_key_sent.read() ) 
                     {
                         // LL response first flit
@@ -10778,5 +10445,5 @@
                     p_vci_tgt.rspval   = true;
 
-                    if(is_ll and not r_tgt_rsp_key_sent.read())
+                    if (is_ll and not r_tgt_rsp_key_sent.read())
                     {
                         p_vci_tgt.rdata = r_cleanup_to_tgt_rsp_ll_key.read();
@@ -10818,37 +10485,33 @@
                 {
                     uint8_t multi_inval_type;
-                    if(m_config_to_cc_send_inst_fifo.read())
-                    {
-                        multi_inval_type = DspinDhccpParam::TYPE_MULTI_INVAL_INST;
+                    if (m_config_to_cc_send_inst_fifo.read())
+                    {
+                        multi_inval_type = DspinHmesiParam::TYPE_MULTI_INVAL_INST;
                     }
                     else
                     {
-                        multi_inval_type = DspinDhccpParam::TYPE_MULTI_INVAL_DATA;
+                        multi_inval_type = DspinHmesiParam::TYPE_MULTI_INVAL_DATA;
                     }
 
                     uint64_t flit = 0;
                     uint64_t dest = m_config_to_cc_send_srcid_fifo.read() <<
-                        (DspinDhccpParam::SRCID_WIDTH - vci_param_int::S);
-
-                    DspinDhccpParam::dspin_set( flit,
+                        (DspinHmesiParam::SRCID_WIDTH - vci_param_int::S);
+
+                    DspinHmesiParam::dspin_set( flit,
                             dest,
-                            DspinDhccpParam::MULTI_INVAL_DEST);
-
-                    DspinDhccpParam::dspin_set( flit,
-                            m_cc_global_id ,
-                            DspinDhccpParam::MULTI_INVAL_SRCID);
+                            DspinHmesiParam::MULTI_INVAL_DEST);
 
                     // MODIFIED FOR CONFIG INVAL (solution 1 bit in flit multi_inval)
-                    DspinDhccpParam::dspin_set( flit,
+                    DspinHmesiParam::dspin_set( flit,
                             1,
-                            DspinDhccpParam::MULTI_INVAL_IS_CONFIG);
-
-                    DspinDhccpParam::dspin_set( flit,
+                            DspinHmesiParam::MULTI_INVAL_IS_CONFIG);
+
+                    DspinHmesiParam::dspin_set( flit,
                             r_config_to_cc_send_trdid.read(),
-                            DspinDhccpParam::MULTI_INVAL_UPDT_INDEX);
-
-                    DspinDhccpParam::dspin_set( flit,
+                            DspinHmesiParam::MULTI_INVAL_UPDT_INDEX);
+
+                    DspinHmesiParam::dspin_set( flit,
                             multi_inval_type,
-                            DspinDhccpParam::M2P_TYPE);
+                            DspinHmesiParam::M2P_TYPE);
                     p_dspin_m2p.write = true;
                     p_dspin_m2p.data  = flit;
@@ -10859,7 +10522,7 @@
                 {
                     uint64_t flit = 0;
-                    DspinDhccpParam::dspin_set( flit,
+                    DspinHmesiParam::dspin_set( flit,
                             r_config_to_cc_send_nline.read(),
-                            DspinDhccpParam::MULTI_INVAL_NLINE);
+                            DspinHmesiParam::MULTI_INVAL_NLINE);
                     p_dspin_m2p.eop   = true;
                     p_dspin_m2p.write = true;
@@ -10870,35 +10533,31 @@
             case CC_SEND_XRAM_RSP_INVAL_HEADER:
                 {
-                    if(not m_xram_rsp_to_cc_send_inst_fifo.rok()) break;
+                    if (not m_xram_rsp_to_cc_send_inst_fifo.rok()) break;
 
                     uint8_t multi_inval_type;
-                    if(m_xram_rsp_to_cc_send_inst_fifo.read())
-                    {
-                        multi_inval_type = DspinDhccpParam::TYPE_MULTI_INVAL_INST;
+                    if (m_xram_rsp_to_cc_send_inst_fifo.read())
+                    {
+                        multi_inval_type = DspinHmesiParam::TYPE_MULTI_INVAL_INST;
                     }
                     else
                     {
-                        multi_inval_type = DspinDhccpParam::TYPE_MULTI_INVAL_DATA;
+                        multi_inval_type = DspinHmesiParam::TYPE_MULTI_INVAL_DATA;
                     }
 
                     uint64_t flit = 0;
                     uint64_t dest = m_xram_rsp_to_cc_send_srcid_fifo.read() <<
-                        (DspinDhccpParam::SRCID_WIDTH - vci_param_int::S);
-
-                    DspinDhccpParam::dspin_set( flit,
+                        (DspinHmesiParam::SRCID_WIDTH - vci_param_int::S);
+
+                    DspinHmesiParam::dspin_set( flit,
                             dest,
-                            DspinDhccpParam::MULTI_INVAL_DEST);
-
-                    DspinDhccpParam::dspin_set( flit,
-                            m_cc_global_id ,
-                            DspinDhccpParam::MULTI_INVAL_SRCID);
-
-                    DspinDhccpParam::dspin_set( flit,
+                            DspinHmesiParam::MULTI_INVAL_DEST);
+
+                    DspinHmesiParam::dspin_set( flit,
                             r_xram_rsp_to_cc_send_trdid.read(),
-                            DspinDhccpParam::MULTI_INVAL_UPDT_INDEX);
-
-                    DspinDhccpParam::dspin_set( flit,
+                            DspinHmesiParam::MULTI_INVAL_UPDT_INDEX);
+
+                    DspinHmesiParam::dspin_set( flit,
                             multi_inval_type,
-                            DspinDhccpParam::M2P_TYPE);
+                            DspinHmesiParam::M2P_TYPE);
                     p_dspin_m2p.write = true;
                     p_dspin_m2p.data  = flit;
@@ -10911,7 +10570,7 @@
                     uint64_t flit = 0;
 
-                    DspinDhccpParam::dspin_set( flit,
+                    DspinHmesiParam::dspin_set( flit,
                             r_xram_rsp_to_cc_send_nline.read(),
-                            DspinDhccpParam::MULTI_INVAL_NLINE);
+                            DspinHmesiParam::MULTI_INVAL_NLINE);
                     p_dspin_m2p.eop   = true;
                     p_dspin_m2p.write = true;
@@ -10925,19 +10584,15 @@
                     uint64_t flit = 0;
 
-                    DspinDhccpParam::dspin_set( flit,
+                    DspinHmesiParam::dspin_set( flit,
                             m_broadcast_boundaries,
-                            DspinDhccpParam::BROADCAST_BOX);
+                            DspinHmesiParam::BROADCAST_BOX);
                     // MODIFIED FOR CONFIG INVAL (solution 1 bit in flit multi_inval)
-                    DspinDhccpParam::dspin_set( flit,
+                    DspinHmesiParam::dspin_set( flit,
                             1,
-                            DspinDhccpParam::BRDCAST_IS_CONFIG);
-
-                    DspinDhccpParam::dspin_set( flit,
-                            m_cc_global_id,
-                            DspinDhccpParam::BROADCAST_SRCID);
-
-                    DspinDhccpParam::dspin_set( flit,
+                            DspinHmesiParam::BRDCAST_IS_CONFIG);
+
+                    DspinHmesiParam::dspin_set( flit,
                             1ULL,
-                            DspinDhccpParam::M2P_BC);
+                            DspinHmesiParam::M2P_BC);
                     p_dspin_m2p.write = true;
                     p_dspin_m2p.data  = flit;
@@ -10951,15 +10606,11 @@
                     uint64_t flit = 0;
 
-                    DspinDhccpParam::dspin_set( flit,
+                    DspinHmesiParam::dspin_set( flit,
                             m_broadcast_boundaries,
-                            DspinDhccpParam::BROADCAST_BOX);
-
-                    DspinDhccpParam::dspin_set( flit,
-                            m_cc_global_id,
-                            DspinDhccpParam::BROADCAST_SRCID);
-
-                    DspinDhccpParam::dspin_set( flit,
+                            DspinHmesiParam::BROADCAST_BOX);
+
+                    DspinHmesiParam::dspin_set( flit,
                             1ULL,
-                            DspinDhccpParam::M2P_BC);
+                            DspinHmesiParam::M2P_BC);
                     p_dspin_m2p.write = true;
                     p_dspin_m2p.data  = flit;
@@ -10971,15 +10622,15 @@
                     uint64_t flit = 0;
 
-                    DspinDhccpParam::dspin_set( flit,
+                    DspinHmesiParam::dspin_set( flit,
                              m_broadcast_boundaries,
-                             DspinDhccpParam::BROADCAST_BOX);
-
-                     DspinDhccpParam::dspin_set( flit,
+                             DspinHmesiParam::BROADCAST_BOX);
+
+                     DspinHmesiParam::dspin_set( flit,
                              r_read_to_cc_send_srcid.read(),    // send the srcid itself which demands the request getM
-                             DspinDhccpParam::BROADCAST_SRCID);
-
-                    DspinDhccpParam::dspin_set( flit,
+                             DspinHmesiParam::BROADCAST_SRCID);
+
+                    DspinHmesiParam::dspin_set( flit,
                             1ULL,
-                            DspinDhccpParam::M2P_BC);
+                            DspinHmesiParam::M2P_BC);
                     p_dspin_m2p.write = true;
                     p_dspin_m2p.data  = flit;
@@ -10990,7 +10641,7 @@
                 {
                     uint64_t flit = 0;
-                    DspinDhccpParam::dspin_set( flit,
+                    DspinHmesiParam::dspin_set( flit,
                             r_xram_rsp_to_cc_send_nline.read(),
-                            DspinDhccpParam::BROADCAST_NLINE);
+                            DspinHmesiParam::BROADCAST_NLINE);
                     p_dspin_m2p.write = true;
                     p_dspin_m2p.eop   = true;
@@ -11002,7 +10653,7 @@
                 {
                     uint64_t flit = 0;
-                    DspinDhccpParam::dspin_set( flit,
+                    DspinHmesiParam::dspin_set( flit,
                             r_config_to_cc_send_nline.read(),
-                            DspinDhccpParam::BROADCAST_NLINE);
+                            DspinHmesiParam::BROADCAST_NLINE);
                     p_dspin_m2p.write = true;
                     p_dspin_m2p.eop   = true;
@@ -11014,7 +10665,7 @@
                 {
                     uint64_t flit = 0;
-                    DspinDhccpParam::dspin_set( flit,
+                    DspinHmesiParam::dspin_set( flit,
                             r_read_to_cc_send_nline.read(),
-                            DspinDhccpParam::BROADCAST_NLINE);
+                            DspinHmesiParam::BROADCAST_NLINE);
                     p_dspin_m2p.write = true;
                     p_dspin_m2p.eop   = true;
@@ -11027,48 +10678,48 @@
                     uint64_t flit = 0;
 
-                    if(not m_read_to_cc_send_inst_fifo.rok()) break;
+                    if (not m_read_to_cc_send_inst_fifo.rok()) break;
                     uint8_t multi_inval_type;
 
                     uint64_t dest =
                         m_read_to_cc_send_srcid_fifo.read() <<
-                        (DspinDhccpParam::SRCID_WIDTH - vci_param_int::S);
+                        (DspinHmesiParam::SRCID_WIDTH - vci_param_int::S);
 
                     if (m_read_to_cc_send_inst_fifo.read())
                     {
-                        multi_inval_type = DspinDhccpParam::TYPE_MULTI_INVAL_INST;
+                        multi_inval_type = DspinHmesiParam::TYPE_MULTI_INVAL_INST;
                     }
                     else
                     {
-                        multi_inval_type = DspinDhccpParam::TYPE_MULTI_INVAL_DATA;
-                    }
-
-                    DspinDhccpParam::dspin_set(
+                        multi_inval_type = DspinHmesiParam::TYPE_MULTI_INVAL_DATA;
+                    }
+
+                    DspinHmesiParam::dspin_set(
                             flit,
                             dest,
-                            DspinDhccpParam::MULTI_INVAL_DEST);
-
-                    DspinDhccpParam::dspin_set(
+                            DspinHmesiParam::MULTI_INVAL_DEST);
+
+                    DspinHmesiParam::dspin_set(
                             flit,
                             r_read_to_cc_send_is_shared.read(),
-                            DspinDhccpParam::MULTI_INVAL_IS_SHARED);
-
-                    if(r_read_to_cc_send_type.read())
-                    {
-                        DspinDhccpParam::dspin_set(
+                            DspinHmesiParam::MULTI_INVAL_IS_SHARED);
+
+                    if (r_read_to_cc_send_type.read())
+                    {
+                        DspinHmesiParam::dspin_set(
                                 flit,
                                 multi_inval_type,
-                                DspinDhccpParam::M2P_TYPE);
+                                DspinHmesiParam::M2P_TYPE);
                     }
                     else 
                     {
-                        DspinDhccpParam::dspin_set(
+                        DspinHmesiParam::dspin_set(
                                 flit,
-                                DspinDhccpParam::TYPE_MULTI_UPDT_DATA,
-                                DspinDhccpParam::M2P_TYPE);
-
-                        DspinDhccpParam::dspin_set(
+                                DspinHmesiParam::TYPE_MULTI_UPDT_DATA,
+                                DspinHmesiParam::M2P_TYPE);
+
+                        DspinHmesiParam::dspin_set(
                                 flit,
                                 r_read_to_cc_send_ivt_index.read(),
-                                DspinDhccpParam::CC_UPDT_IVT_INDEX);
+                                DspinHmesiParam::CC_UPDT_IVT_INDEX);
 
                     }
@@ -11084,8 +10735,8 @@
                     uint64_t flit = 0;
 
-                    DspinDhccpParam::dspin_set(
+                    DspinHmesiParam::dspin_set(
                             flit,
                             r_read_to_cc_send_nline.read(),
-                            DspinDhccpParam::MULTI_INVAL_NLINE);
+                            DspinHmesiParam::MULTI_INVAL_NLINE);
 
 
@@ -11101,7 +10752,7 @@
                 {
                     uint64_t flit = 0;
-                    DspinDhccpParam::dspin_set( flit,
+                    DspinHmesiParam::dspin_set( flit,
                             r_write_to_cc_send_nline.read(),
-                            DspinDhccpParam::BROADCAST_NLINE);
+                            DspinHmesiParam::BROADCAST_NLINE);
                     p_dspin_m2p.write = true;
                     p_dspin_m2p.eop   = true;
@@ -11113,7 +10764,7 @@
                 {
                     uint64_t flit = 0;
-                    DspinDhccpParam::dspin_set( flit,
+                    DspinHmesiParam::dspin_set( flit,
                             r_cas_to_cc_send_nline.read(),
-                            DspinDhccpParam::BROADCAST_NLINE);
+                            DspinHmesiParam::BROADCAST_NLINE);
                     p_dspin_m2p.write = true;
                     p_dspin_m2p.eop   = true;
@@ -11124,14 +10775,14 @@
             case CC_SEND_WRITE_INVAL_HEADER:
                 {
-                    if(not m_write_to_cc_send_inst_fifo.rok()) break;
+                    if (not m_write_to_cc_send_inst_fifo.rok()) break;
 
                     uint8_t multi_inval_type;
-                    if(m_write_to_cc_send_inst_fifo.read())
-                    {
-                        multi_inval_type = DspinDhccpParam::TYPE_MULTI_INVAL_INST;
+                    if (m_write_to_cc_send_inst_fifo.read())
+                    {
+                        multi_inval_type = DspinHmesiParam::TYPE_MULTI_INVAL_INST;
                     }
                     else
                     {
-                        multi_inval_type = DspinDhccpParam::TYPE_MULTI_INVAL_DATA;
+                        multi_inval_type = DspinHmesiParam::TYPE_MULTI_INVAL_DATA;
                     }
 
@@ -11139,20 +10790,15 @@
                     uint64_t dest =
                         m_write_to_cc_send_srcid_fifo.read() <<
-                        (DspinDhccpParam::SRCID_WIDTH - vci_param_int::S);
-
-                    DspinDhccpParam::dspin_set(
+                        (DspinHmesiParam::SRCID_WIDTH - vci_param_int::S);
+
+                    DspinHmesiParam::dspin_set(
                             flit,
                             dest,
-                            DspinDhccpParam::MULTI_INVAL_DEST);
-
-                    DspinDhccpParam::dspin_set(
-                            flit,
-                            m_cc_global_id,
-                            DspinDhccpParam::MULTI_INVAL_SRCID);
-
-                    DspinDhccpParam::dspin_set(
+                            DspinHmesiParam::MULTI_INVAL_DEST);
+
+                    DspinHmesiParam::dspin_set(
                             flit,
                             multi_inval_type,
-                            DspinDhccpParam::M2P_TYPE);
+                            DspinHmesiParam::M2P_TYPE);
 
                     p_dspin_m2p.write = true;
@@ -11166,8 +10812,8 @@
                     uint64_t flit = 0;
 
-                    DspinDhccpParam::dspin_set(
+                    DspinHmesiParam::dspin_set(
                             flit,
                             r_write_to_cc_send_nline.read(),
-                            DspinDhccpParam::MULTI_UPDT_NLINE);
+                            DspinHmesiParam::MULTI_UPDT_NLINE);
 
                     p_dspin_m2p.write = true;
@@ -11184,11 +10830,11 @@
 
                     uint8_t multi_inval_type;
-                    if(m_cas_to_cc_send_inst_fifo.read())
-                    {
-                        multi_inval_type = DspinDhccpParam::TYPE_MULTI_INVAL_INST;
+                    if (m_cas_to_cc_send_inst_fifo.read())
+                    {
+                        multi_inval_type = DspinHmesiParam::TYPE_MULTI_INVAL_INST;
                     }
                     else
                     {
-                        multi_inval_type = DspinDhccpParam::TYPE_MULTI_INVAL_DATA;
+                        multi_inval_type = DspinHmesiParam::TYPE_MULTI_INVAL_DATA;
                     }
 
@@ -11196,20 +10842,15 @@
                     uint64_t dest =
                         m_cas_to_cc_send_srcid_fifo.read() <<
-                        (DspinDhccpParam::SRCID_WIDTH - vci_param_int::S);
-
-                    DspinDhccpParam::dspin_set(
+                        (DspinHmesiParam::SRCID_WIDTH - vci_param_int::S);
+
+                    DspinHmesiParam::dspin_set(
                             flit,
                             dest,
-                            DspinDhccpParam::MULTI_UPDT_DEST);
-
-                    DspinDhccpParam::dspin_set(
-                            flit,
-                            m_cc_global_id,
-                            DspinDhccpParam::MULTI_UPDT_SRCID);
-
-                    DspinDhccpParam::dspin_set(
+                            DspinHmesiParam::MULTI_UPDT_DEST);
+
+                    DspinHmesiParam::dspin_set(
                             flit,
                             multi_inval_type,
-                            DspinDhccpParam::M2P_TYPE);
+                            DspinHmesiParam::M2P_TYPE);
 
                     p_dspin_m2p.write = true;
@@ -11223,8 +10864,8 @@
                     uint64_t flit = 0;
 
-                    DspinDhccpParam::dspin_set(
+                    DspinHmesiParam::dspin_set(
                             flit,
                             r_cas_to_cc_send_nline.read(),
-                            DspinDhccpParam::MULTI_UPDT_NLINE);
+                            DspinHmesiParam::MULTI_UPDT_NLINE);
 
                     p_dspin_m2p.write = true;
@@ -11240,39 +10881,39 @@
         ////////////////////////////////////////////////////////////////////
 
-        if ( r_cleanup_fsm.read() == CLEANUP_SEND_CLACK )
+        if (r_cleanup_fsm.read() == CLEANUP_SEND_CLACK)
         {
             uint8_t cleanup_ack_type;
-            if(r_cleanup_inst.read())
+            if (r_cleanup_inst.read())
             {
-                cleanup_ack_type = DspinDhccpParam::TYPE_CLACK_INST;
+                cleanup_ack_type = DspinHmesiParam::TYPE_CLACK_INST;
             }
             else
             {
-                cleanup_ack_type = DspinDhccpParam::TYPE_CLACK_DATA;
+                cleanup_ack_type = DspinHmesiParam::TYPE_CLACK_DATA;
             }
 
             uint64_t flit = 0;
             uint64_t dest = r_cleanup_srcid.read() <<
-                (DspinDhccpParam::SRCID_WIDTH - vci_param_int::S);
-
-            DspinDhccpParam::dspin_set(
+                (DspinHmesiParam::SRCID_WIDTH - vci_param_int::S);
+
+            DspinHmesiParam::dspin_set(
                     flit,
                     dest,
-                    DspinDhccpParam::CLACK_DEST);
-
-            DspinDhccpParam::dspin_set(
+                    DspinHmesiParam::CLACK_DEST);
+
+            DspinHmesiParam::dspin_set(
                     flit,
                     r_cleanup_nline.read() & 0xFFFF,
-                    DspinDhccpParam::CLACK_SET);
-
-            DspinDhccpParam::dspin_set(
+                    DspinHmesiParam::CLACK_SET);
+
+            DspinHmesiParam::dspin_set(
                     flit,
                     r_cleanup_way_index.read(),
-                    DspinDhccpParam::CLACK_WAY);
-
-            DspinDhccpParam::dspin_set(
+                    DspinHmesiParam::CLACK_WAY);
+
+            DspinHmesiParam::dspin_set(
                     flit,
                     cleanup_ack_type,
-                    DspinDhccpParam::CLACK_TYPE);
+                    DspinHmesiParam::CLACK_TYPE);
 
             p_dspin_clack.eop   = true;
